#-------------------------------------------
# VisualK-OS                                
#    Module: FBA Config Screen class [v1.0] 
#    Author: Kevin Slaughter                
#-------------------------------------------

"""
[Revision History]
    v1.0: Initial implementation... Having the screens encapsulated by
            the ScreenManager class with if-then-else blocks worked at
            first, when not much as required of the program, but more
            complex classes arose out of necessity to shrink/simplify
            the growing source code.
"""

import globals
from VKCC_Constants import *


class cScreenCfgFBA(object):
    ### General properties
    color = 2                       # Color theme used within this screen
    title = "Configuration (FBA)"   # Title to be displayed
    hasExit = True                  # Flag: Display exit option
    
    
    ### handleKey(): Handle any passed keyboard input independent of GP usage.
    def handleKey(self, c, scr):
        if (c == KEY_0): scr.changeScreen(SCREEN_CFG_MAIN) 	# Back to main cfg menu
        return
    
    
    ### paint(): Draw any elements used on this screen.
    def paint(self, scr):
        scr.menuPrep(self)
        return
    